### YamlMime:ManagedReference
items:
- uid: Voile.SceneGraph.SerializedScene
  commentId: T:Voile.SceneGraph.SerializedScene
  id: SerializedScene
  parent: Voile.SceneGraph
  children:
  - Voile.SceneGraph.SerializedScene.#ctor(System.String,System.Byte[])
  - Voile.SceneGraph.SerializedScene.Buffer
  - Voile.SceneGraph.SerializedScene.BufferSize
  - Voile.SceneGraph.SerializedScene.Layers
  langs:
  - csharp
  - vb
  name: SerializedScene
  nameWithType: SerializedScene
  fullName: Voile.SceneGraph.SerializedScene
  type: Class
  source:
    remote:
      path: Voile/Source/SceneGraph/Resources/SerializedScene.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: SerializedScene
    path: Source/SceneGraph/Resources/SerializedScene.cs
    startLine: 4
  assemblies:
  - Voile
  namespace: Voile.SceneGraph
  syntax:
    content: 'public class SerializedScene : Resource, IDisposable'
    content.vb: Public Class SerializedScene Inherits Resource Implements IDisposable
  inheritance:
  - System.Object
  - Voile.Resource
  implements:
  - System.IDisposable
  inheritedMembers:
  - Voile.Resource.Path
  - Voile.Resource.Dispose
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
- uid: Voile.SceneGraph.SerializedScene.Layers
  commentId: P:Voile.SceneGraph.SerializedScene.Layers
  id: Layers
  parent: Voile.SceneGraph.SerializedScene
  langs:
  - csharp
  - vb
  name: Layers
  nameWithType: SerializedScene.Layers
  fullName: Voile.SceneGraph.SerializedScene.Layers
  type: Property
  source:
    remote:
      path: Voile/Source/SceneGraph/Resources/SerializedScene.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Layers
    path: Source/SceneGraph/Resources/SerializedScene.cs
    startLine: 6
  assemblies:
  - Voile
  namespace: Voile.SceneGraph
  syntax:
    content: public Dictionary<string, Layer> Layers { get; set; }
    parameters: []
    return:
      type: System.Collections.Generic.Dictionary{System.String,Voile.SceneGraph.Layer}
    content.vb: Public Property Layers As Dictionary(Of String, Layer)
  overload: Voile.SceneGraph.SerializedScene.Layers*
- uid: Voile.SceneGraph.SerializedScene.Buffer
  commentId: P:Voile.SceneGraph.SerializedScene.Buffer
  id: Buffer
  parent: Voile.SceneGraph.SerializedScene
  langs:
  - csharp
  - vb
  name: Buffer
  nameWithType: SerializedScene.Buffer
  fullName: Voile.SceneGraph.SerializedScene.Buffer
  type: Property
  source:
    remote:
      path: Voile/Source/SceneGraph/Resources/SerializedScene.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Buffer
    path: Source/SceneGraph/Resources/SerializedScene.cs
    startLine: 8
  assemblies:
  - Voile
  namespace: Voile.SceneGraph
  syntax:
    content: public byte[]? Buffer { get; set; }
    parameters: []
    return:
      type: System.Byte[]
    content.vb: Public Property Buffer As Byte()
  overload: Voile.SceneGraph.SerializedScene.Buffer*
- uid: Voile.SceneGraph.SerializedScene.BufferSize
  commentId: P:Voile.SceneGraph.SerializedScene.BufferSize
  id: BufferSize
  parent: Voile.SceneGraph.SerializedScene
  langs:
  - csharp
  - vb
  name: BufferSize
  nameWithType: SerializedScene.BufferSize
  fullName: Voile.SceneGraph.SerializedScene.BufferSize
  type: Property
  source:
    remote:
      path: Voile/Source/SceneGraph/Resources/SerializedScene.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: BufferSize
    path: Source/SceneGraph/Resources/SerializedScene.cs
    startLine: 9
  assemblies:
  - Voile
  namespace: Voile.SceneGraph
  syntax:
    content: public long BufferSize { get; set; }
    parameters: []
    return:
      type: System.Int64
    content.vb: Public Property BufferSize As Long
  overload: Voile.SceneGraph.SerializedScene.BufferSize*
- uid: Voile.SceneGraph.SerializedScene.#ctor(System.String,System.Byte[])
  commentId: M:Voile.SceneGraph.SerializedScene.#ctor(System.String,System.Byte[])
  id: '#ctor(System.String,System.Byte[])'
  parent: Voile.SceneGraph.SerializedScene
  langs:
  - csharp
  - vb
  name: SerializedScene(string, byte[])
  nameWithType: SerializedScene.SerializedScene(string, byte[])
  fullName: Voile.SceneGraph.SerializedScene.SerializedScene(string, byte[])
  type: Constructor
  source:
    remote:
      path: Voile/Source/SceneGraph/Resources/SerializedScene.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: .ctor
    path: Source/SceneGraph/Resources/SerializedScene.cs
    startLine: 11
  assemblies:
  - Voile
  namespace: Voile.SceneGraph
  syntax:
    content: public SerializedScene(string path, byte[] buffer)
    parameters:
    - id: path
      type: System.String
    - id: buffer
      type: System.Byte[]
    content.vb: Public Sub New(path As String, buffer As Byte())
  overload: Voile.SceneGraph.SerializedScene.#ctor*
  nameWithType.vb: SerializedScene.New(String, Byte())
  fullName.vb: Voile.SceneGraph.SerializedScene.New(String, Byte())
  name.vb: New(String, Byte())
references:
- uid: Voile.SceneGraph
  commentId: N:Voile.SceneGraph
  href: Voile.html
  name: Voile.SceneGraph
  nameWithType: Voile.SceneGraph
  fullName: Voile.SceneGraph
  spec.csharp:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.SceneGraph
    name: SceneGraph
    href: Voile.SceneGraph.html
  spec.vb:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.SceneGraph
    name: SceneGraph
    href: Voile.SceneGraph.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: Voile.Resource
  commentId: T:Voile.Resource
  parent: Voile
  href: Voile.Resource.html
  name: Resource
  nameWithType: Resource
  fullName: Voile.Resource
- uid: System.IDisposable
  commentId: T:System.IDisposable
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.idisposable
  name: IDisposable
  nameWithType: IDisposable
  fullName: System.IDisposable
- uid: Voile.Resource.Path
  commentId: P:Voile.Resource.Path
  parent: Voile.Resource
  href: Voile.Resource.html#Voile_Resource_Path
  name: Path
  nameWithType: Resource.Path
  fullName: Voile.Resource.Path
- uid: Voile.Resource.Dispose
  commentId: M:Voile.Resource.Dispose
  parent: Voile.Resource
  href: Voile.Resource.html#Voile_Resource_Dispose
  name: Dispose()
  nameWithType: Resource.Dispose()
  fullName: Voile.Resource.Dispose()
  spec.csharp:
  - uid: Voile.Resource.Dispose
    name: Dispose
    href: Voile.Resource.html#Voile_Resource_Dispose
  - name: (
  - name: )
  spec.vb:
  - uid: Voile.Resource.Dispose
    name: Dispose
    href: Voile.Resource.html#Voile_Resource_Dispose
  - name: (
  - name: )
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: Voile
  commentId: N:Voile
  href: Voile.html
  name: Voile
  nameWithType: Voile
  fullName: Voile
- uid: Voile.SceneGraph.SerializedScene.Layers*
  commentId: Overload:Voile.SceneGraph.SerializedScene.Layers
  href: Voile.SceneGraph.SerializedScene.html#Voile_SceneGraph_SerializedScene_Layers
  name: Layers
  nameWithType: SerializedScene.Layers
  fullName: Voile.SceneGraph.SerializedScene.Layers
- uid: System.Collections.Generic.Dictionary{System.String,Voile.SceneGraph.Layer}
  commentId: T:System.Collections.Generic.Dictionary{System.String,Voile.SceneGraph.Layer}
  parent: System.Collections.Generic
  definition: System.Collections.Generic.Dictionary`2
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.dictionary-2
  name: Dictionary<string, Layer>
  nameWithType: Dictionary<string, Layer>
  fullName: System.Collections.Generic.Dictionary<string, Voile.SceneGraph.Layer>
  nameWithType.vb: Dictionary(Of String, Layer)
  fullName.vb: System.Collections.Generic.Dictionary(Of String, Voile.SceneGraph.Layer)
  name.vb: Dictionary(Of String, Layer)
  spec.csharp:
  - uid: System.Collections.Generic.Dictionary`2
    name: Dictionary
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.dictionary-2
  - name: <
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: Voile.SceneGraph.Layer
    name: Layer
    href: Voile.SceneGraph.Layer.html
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.Dictionary`2
    name: Dictionary
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.dictionary-2
  - name: (
  - name: Of
  - name: " "
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: Voile.SceneGraph.Layer
    name: Layer
    href: Voile.SceneGraph.Layer.html
  - name: )
- uid: System.Collections.Generic.Dictionary`2
  commentId: T:System.Collections.Generic.Dictionary`2
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.dictionary-2
  name: Dictionary<TKey, TValue>
  nameWithType: Dictionary<TKey, TValue>
  fullName: System.Collections.Generic.Dictionary<TKey, TValue>
  nameWithType.vb: Dictionary(Of TKey, TValue)
  fullName.vb: System.Collections.Generic.Dictionary(Of TKey, TValue)
  name.vb: Dictionary(Of TKey, TValue)
  spec.csharp:
  - uid: System.Collections.Generic.Dictionary`2
    name: Dictionary
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.dictionary-2
  - name: <
  - name: TKey
  - name: ','
  - name: " "
  - name: TValue
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.Dictionary`2
    name: Dictionary
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.dictionary-2
  - name: (
  - name: Of
  - name: " "
  - name: TKey
  - name: ','
  - name: " "
  - name: TValue
  - name: )
- uid: System.Collections.Generic
  commentId: N:System.Collections.Generic
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System.Collections.Generic
  nameWithType: System.Collections.Generic
  fullName: System.Collections.Generic
  spec.csharp:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Collections
    name: Collections
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections
  - name: .
  - uid: System.Collections.Generic
    name: Generic
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic
  spec.vb:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Collections
    name: Collections
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections
  - name: .
  - uid: System.Collections.Generic
    name: Generic
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic
- uid: Voile.SceneGraph.SerializedScene.Buffer*
  commentId: Overload:Voile.SceneGraph.SerializedScene.Buffer
  href: Voile.SceneGraph.SerializedScene.html#Voile_SceneGraph_SerializedScene_Buffer
  name: Buffer
  nameWithType: SerializedScene.Buffer
  fullName: Voile.SceneGraph.SerializedScene.Buffer
- uid: System.Byte[]
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.byte
  name: byte[]
  nameWithType: byte[]
  fullName: byte[]
  nameWithType.vb: Byte()
  fullName.vb: Byte()
  name.vb: Byte()
  spec.csharp:
  - uid: System.Byte
    name: byte
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.byte
  - name: '['
  - name: ']'
  spec.vb:
  - uid: System.Byte
    name: Byte
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.byte
  - name: (
  - name: )
- uid: Voile.SceneGraph.SerializedScene.BufferSize*
  commentId: Overload:Voile.SceneGraph.SerializedScene.BufferSize
  href: Voile.SceneGraph.SerializedScene.html#Voile_SceneGraph_SerializedScene_BufferSize
  name: BufferSize
  nameWithType: SerializedScene.BufferSize
  fullName: Voile.SceneGraph.SerializedScene.BufferSize
- uid: System.Int64
  commentId: T:System.Int64
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.int64
  name: long
  nameWithType: long
  fullName: long
  nameWithType.vb: Long
  fullName.vb: Long
  name.vb: Long
- uid: Voile.SceneGraph.SerializedScene.#ctor*
  commentId: Overload:Voile.SceneGraph.SerializedScene.#ctor
  href: Voile.SceneGraph.SerializedScene.html#Voile_SceneGraph_SerializedScene__ctor_System_String_System_Byte___
  name: SerializedScene
  nameWithType: SerializedScene.SerializedScene
  fullName: Voile.SceneGraph.SerializedScene.SerializedScene
  nameWithType.vb: SerializedScene.New
  fullName.vb: Voile.SceneGraph.SerializedScene.New
  name.vb: New
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
